Bug 1122075 - [abrt] WARNING: CPU: 2 PID: 1097 at drivers/gpu/drm/i915/intel_display.c:9761 intel_modeset_check_state+0x5e1/0x790 [i915]()
Summary: [abrt] WARNING: CPU: 2 PID: 1097 at drivers/gpu/drm/i915/intel_display.c:9761...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f285d34a56cbc85c6dc9878541b...
: 1124411 1128790 1136879 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 13:27 UTC by Felipe van Schaik Willig
Modified: 2015-06-29 21:41 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:41:15 UTC


Attachments (Terms of Use)
File: dmesg (98.12 KB, text/plain)
2014-07-22 13:27 UTC, Felipe van Schaik Willig
no flags Details

Description Felipe van Schaik Willig 2014-07-22 13:27:24 UTC
Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 2 PID: 1097 at drivers/gpu/drm/i915/intel_display.c:9761 intel_modeset_check_state+0x5e1/0x790 [i915]()
encoder's hw state doesn't match sw tracking (expected 1, found 0)
Modules linked in: rfcomm ipt_MASQUERADE xt_CHECKSUM bnep ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw btusb bluetooth nls_utf8 hfsplus uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev bcm5974 media hid_appleir arc4 snd_hda_codec_hdmi b43 x86_pkg_temp_thermal mac80211 snd_hda_codec_cirrus snd_hda_codec_generic cfg80211 ssb joydev coretemp kvm_intel kvm iTCO_wdt rfkill snd_hda_intel crct10dif_pclmul bcma sdhci_pci sdhci applesmc mmc_core crc32_pclmul crc32c_intel ghash_clmulni_intel input_polldev mei_me mei snd_hda_controller snd_hda_codec snd_hwdep iTCO_vendor_support snd_seq snd_seq_device snd_pcm shpchp snd_timer snd i2c_i801 lpc_ich mfd_core soundcore microcode sbs sbshc apple_gmux apple_bl nfsd auth_rpcgss nfs_acl lockd sunrpc i915 firewire_ohci tg3 ptp firewire_core pps_core i2c_algo_bit drm_kms_helper crc_itu_t drm i2c_core video
CPU: 2 PID: 1097 Comm: X Not tainted 3.15.6-200.fc20.x86_64 #1
Hardware name: Apple Inc. MacBookPro9,2/Mac-6F01561E16C75D06, BIOS MBP91.88Z.00D3.B08.1208081132 08/08/2012
 0000000000000000 0000000085dd21a4 ffff8802510ef8f8 ffffffff816ef48e
 ffff8802510ef940 ffff8802510ef930 ffffffff8108933d ffff8802510ef9b8
 0000000000000001 ffff880260e6a000 ffff880260e6a320 ffff880261225000
Call Trace:
 [<ffffffff816ef48e>] dump_stack+0x45/0x56
 [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0136be1>] intel_modeset_check_state+0x5e1/0x790 [i915]
 [<ffffffffa0136e25>] intel_set_mode+0x25/0x30 [i915]
 [<ffffffffa0137ced>] intel_crtc_set_config+0x8ed/0xdc0 [i915]
 [<ffffffffa00325a1>] drm_mode_set_config_internal+0x61/0xf0 [drm]
 [<ffffffffa006e6d3>] drm_fb_helper_restore_fbdev_mode+0xb3/0xe0 [drm_kms_helper]
 [<ffffffffa00702f1>] drm_fb_helper_set_par+0x31/0x80 [drm_kms_helper]
 [<ffffffff813bb507>] fb_set_var+0x197/0x440
 [<ffffffff811ddbf1>] ? mem_cgroup_bad_page_check+0x21/0x30
 [<ffffffff81178f3b>] ? free_pages_prepare+0xab/0x1b0
 [<ffffffff8117a536>] ? free_hot_cold_page_list+0x46/0xa0
 [<ffffffff813b1db1>] fbcon_blank+0x1f1/0x2f0
 [<ffffffff81431d88>] do_unblank_screen+0xb8/0x1f0
 [<ffffffff81428d5e>] vt_ioctl+0x110e/0x1190
 [<ffffffff8141c749>] tty_ioctl+0x289/0xb70
 [<ffffffff814551bc>] ? vga_arb_release+0xcc/0x120
 [<ffffffff811c8f1f>] ? kfree+0xff/0x140
 [<ffffffff811fd1b4>] ? dput+0x24/0x170
 [<ffffffff811f97d0>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811e821e>] ? ____fput+0xe/0x10
 [<ffffffff810a92fc>] ? task_work_run+0xac/0xe0
 [<ffffffff811f9a11>] SyS_ioctl+0x81/0xa0
 [<ffffffff816ff4e9>] system_call_fastpath+0x16/0x1b

Comment 1 Felipe van Schaik Willig 2014-07-22 13:27:28 UTC
Created attachment 919930 [details]
File: dmesg

Comment 2 Adam Jackson 2014-11-19 15:52:13 UTC
*** Bug 1124411 has been marked as a duplicate of this bug. ***

Comment 3 Adam Jackson 2014-11-19 15:52:22 UTC
*** Bug 1128790 has been marked as a duplicate of this bug. ***

Comment 4 Adam Jackson 2014-11-19 15:52:37 UTC
*** Bug 1136879 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2015-05-29 12:26:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 21:41:15 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.